﻿/**Begin D:\PDM_UPGRADE\PDM1\QCP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_URGENTPASS') 
 CREATE TABLE T_QCP_URGENTPASS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FAPPLYTIME DATETIME,
FAPPLYDEPTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYUSERID BIGINT DEFAULT 0 NOT NULL,
FINSPECTORGID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLCRETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_URGENTPASS_MAT') 
 CREATE TABLE T_QCP_URGENTPASS_MAT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALCFGID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCSYSTEM NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPASSREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAINBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FMANUDATE DATETIME,
FDUEDATE DATETIME,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIEID BIGINT DEFAULT 0 NOT NULL,
FRESULTSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL
 );



/**End D:\PDM_UPGRADE\PDM1\QCP_table.sql **/
