﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_BADDEAL') 
 CREATE TABLE T_QCP_BADDEAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINSPEDEPARTMENT BIGINT DEFAULT 0 NOT NULL,
FINSPECTOR BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_BADDEAL_L') 
 CREATE TABLE T_QCP_BADDEAL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_BADDEALENTRY_A') 
 CREATE TABLE T_QCP_BADDEALENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECAPPLY') 
 CREATE TABLE T_QCP_INSPECAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FQUALITYORG BIGINT DEFAULT 0 NOT NULL,
FAPPLYUSER BIGINT DEFAULT 0 NOT NULL,
FAPPLYTIME DATETIME,
FFINISHTIME DATETIME,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECAPPLY_L') 
 CREATE TABLE T_QCP_INSPECAPPLY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECAPPLYENTRY') 
 CREATE TABLE T_QCP_INSPECAPPLYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FJOINQTY BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECAPPLYENTRY_A') 
 CREATE TABLE T_QCP_INSPECAPPLYENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMANUTIME DATETIME,
FEXPIRETIME DATETIME,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_BADDEALENTRY') 
 CREATE TABLE T_QCP_BADDEALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FUNQUALIREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNQUALITYPE BIGINT DEFAULT 0 NOT NULL,
FHANDMETHED VARCHAR(5) DEFAULT ' ' NOT NULL,
FRESPONORG BIGINT DEFAULT 0 NOT NULL,
FRESPONDEPART BIGINT DEFAULT 0 NOT NULL,
FRESPONUSER BIGINT DEFAULT 0 NOT NULL,
FHANDTIME DATETIME,
FUNQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECONDINSPEC CHAR(1) DEFAULT ' ' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNQUALITIME DATETIME,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FJOINQTY BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECOBJECT') 
 CREATE TABLE T_QCP_INSPECOBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMAINBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLYUSERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDEPTID BIGINT DEFAULT 0 NOT NULL,
FFINISHTIME DATETIME,
FAPPLYTIME DATETIME,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECOBJENT') 
 CREATE TABLE T_QCP_INSPECOBJENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECOBJSRC') 
 CREATE TABLE T_QCP_INSPECOBJSRC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECRESULT') 
 CREATE TABLE T_QCP_INSPECRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FRIGHTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWRONGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINPSECUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCP_INSPECRESULT_L') 
 CREATE TABLE T_QCP_INSPECRESULT_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' '
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCP_table.sql **/
