﻿/**Begin D:\PDM_UPGRADE\PDM1\QCP_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCP_INSPSUBRESSAMP', 'T_QCP_INSPSUBRESSAMP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPMP_FENTRYID') CREATE INDEX IDX_QCP_INSPMP_FENTRYID ON T_QCP_INSPSUBRESSAMP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPMP_FSEQ') CREATE INDEX IDX_QCP_INSPMP_FSEQ ON T_QCP_INSPSUBRESSAMP ( FSEQ );


 EXEC P_ALTERPK 'PK_QCP_INSPSUBRESRELA', 'T_QCP_INSPSUBRESRELA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPLA_FENTRYID') CREATE INDEX IDX_QCP_INSPLA_FENTRYID ON T_QCP_INSPSUBRESRELA ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPLA_FSEQ') CREATE INDEX IDX_QCP_INSPLA_FSEQ ON T_QCP_INSPSUBRESRELA ( FSEQ );


 EXEC P_ALTERPK 'PK_QCP_INSPSUBRESPROJ_L', 'T_QCP_INSPSUBRESPROJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPOJL_FDETAILID') CREATE INDEX IDX_QCP_INSPOJL_FDETAILID ON T_QCP_INSPSUBRESPROJ_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPOJL_COMMENT') CREATE INDEX IDX_QCP_INSPOJL_COMMENT ON T_QCP_INSPSUBRESPROJ_L ( FINSPECCOMMENT );


 EXEC P_ALTERPK 'PK_QCP_INSPSUBRESPROJ', 'T_QCP_INSPSUBRESPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPOJ_FENTRYID') CREATE INDEX IDX_QCP_INSPOJ_FENTRYID ON T_QCP_INSPSUBRESPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPOJ_FSEQ') CREATE INDEX IDX_QCP_INSPOJ_FSEQ ON T_QCP_INSPSUBRESPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCP_INSPENTRY_L', 'T_QCP_INSPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPRYL_FENTRYID') CREATE INDEX IDX_QCP_INSPRYL_FENTRYID ON T_QCP_INSPENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPRYL_FSUBCOMMENT') CREATE INDEX IDX_QCP_INSPRYL_FSUBCOMMENT ON T_QCP_INSPENTRY_L ( FSUBCOMMENT );


 EXEC P_ALTERPK 'PK_QCP_INSPENTRY', 'T_QCP_INSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPRY_FID') CREATE INDEX IDX_QCP_INSPRY_FID ON T_QCP_INSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPRY_FSEQ') CREATE INDEX IDX_QCP_INSPRY_FSEQ ON T_QCP_INSPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCP_INSPBILL_L', 'T_QCP_INSPBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPLLL_FID') CREATE INDEX IDX_QCP_INSPLLL_FID ON T_QCP_INSPBILL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPLLL_FCOMMENT') CREATE INDEX IDX_QCP_INSPLLL_FCOMMENT ON T_QCP_INSPBILL_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCP_INSPBILL', 'T_QCP_INSPBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPLL_FBILLNO') CREATE INDEX IDX_QCP_INSPLL_FBILLNO ON T_QCP_INSPBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_INSPLL_FCREATETIME') CREATE INDEX IDX_QCP_INSPLL_FCREATETIME ON T_QCP_INSPBILL ( FCREATETIME );



/**End D:\PDM_UPGRADE\PDM1\QCP_constraint.sql **/
