﻿/**Begin D:\PDM_UPGRADE\PDM1\QCP_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCP_ACCEPTRECORD', 'T_QCP_ACCEPTRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERD_FBILLNO') CREATE INDEX IDX_QCP_ACCERD_FBILLNO ON T_QCP_ACCEPTRECORD ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERD_FCREATETIME') CREATE INDEX IDX_QCP_ACCERD_FCREATETIME ON T_QCP_ACCEPTRECORD ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCP_ACCEPTRECORD_ENTRY', 'T_QCP_ACCEPTRECORD_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERD_FID') CREATE INDEX IDX_QCP_ACCERD_FID ON T_QCP_ACCEPTRECORD_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERD_FSEQ') CREATE INDEX IDX_QCP_ACCERD_FSEQ ON T_QCP_ACCEPTRECORD_ENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERD_FMAT') CREATE INDEX IDX_QCP_ACCERD_FMAT ON T_QCP_ACCEPTRECORD_ENTRY ( FMATERIALCFGID );


 EXEC P_ALTERPK 'PK_QCP_ACCEPTRECORD_ENTRY_L', 'T_QCP_ACCEPTRECORD_ENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERDL_FENTRYID') CREATE INDEX IDX_QCP_ACCERDL_FENTRYID ON T_QCP_ACCEPTRECORD_ENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCP_ACCERDL_FSUBCOMMENT') CREATE INDEX IDX_QCP_ACCERDL_FSUBCOMMENT ON T_QCP_ACCEPTRECORD_ENTRY_L ( FSUBCOMMENT );



/**End D:\PDM_UPGRADE\PDM1\QCP_constraint.sql **/
